> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Submission Relation

> Connect Submission Relation.



## OpenAPI

````yaml POST /forms/submission/{id}/relations/{fieldName}/connect
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /forms/submission/{id}/relations/{fieldName}/connect:
    post:
      tags:
        - Form Submissions
      summary: Connect relation
      description: >-
        Connects one related submission to a relation field. For single-value
        relations, the existing value is replaced.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            pattern: ^[a-fA-F0-9]{24}$
          description: 24-char hex identifier of the source submission.
        - in: path
          name: fieldName
          required: true
          schema:
            type: string
          description: >-
            Name of the relation field on the form. Must exist and carry a
            `relation` definition.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - relatedSubmissionId
              properties:
                relatedSubmissionId:
                  type: string
                  pattern: ^[a-fA-F0-9]{24}$
      responses:
        '200':
          description: Updated
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````